Skip to main content
GET
/
chargebacks
List chargebacks
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/chargebacks \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "meta": {
    "page_info": {
      "total": 123,
      "current_page": 123,
      "total_pages": 123
    }
  },
  "data": [
    {
      "id": 1,
      "charge_id": "chg_eahdhfThdHsgaSra",
      "amount": 12.34,
      "meta": {},
      "stage": "new",
      "status": "new",
      "type": "local",
      "due_datetime": "2025-05-30T23:59:59Z",
      "created_datetime": "2025-06-01T23:59:59Z",
      "updated_datetime": "2025-06-01T23:59:59Z",
      "settlement_id": "SETTLEMENT-XYZ-12345",
      "uploaded_proof": "https://example.com/proofs/chargeback-ABC-67890.pdf",
      "comment": "Customer claims service not rendered. Attached signed delivery confirmation.",
      "provider": "Visa",
      "arn": "70010000000000000000001",
      "initiator": "Cardholder"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Query Parameters

page
integer
default:1

The page of the data to retrieve. The most recent data entry is on page 1.

Required range: x >= 1
size
integer
default:10

Length of data returned. Defaults to 10.

Required range: 10 <= x <= 50
from
string<date-time>

The start date and time for a period. This parameter is used in conjunction with the 'to' parameter to define a time range. The value should be in ISO 8601 format.

to
string<date-time>

The end date and time for a period. This parameter is used in conjunction with the 'from' parameter to define a time range. The value should be in ISO 8601 format.

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
meta
object
data
object[]
Maximum array length: 10